#include "cliente_servidor.h"
int main()
{
  int                sock, numero;
  struct sockaddr_in servidor;
  struct hostent     *hp;

  hp = gethostbyname(nombre_dns_de_servidor);
  if (!hp) {
    fprintf(stderr, "gethostbyname: %s\n", hstrerror(h_errno));
    exit(1);
  }
  servidor.sin_family = AF_INET;
  servidor.sin_port = htons(puerto_en_servidor);
  memcpy(&servidor.sin_addr, hp->h_addr, hp->h_length);

  sock = socket(AF_INET, SOCK_STREAM, 0);
  if (sock < 0) {
    perror("socket");
    exit(1);
  }

  /* Fase 1: Establecimiento de la conexin */
  if (connect(sock, (struct sockaddr *) &servidor,
	      sizeof(struct sockaddr_in)) < 0) {
    perror("connect");
    exit(1);
  }

  /* Fase 2: Intercambio de datos */
  fprintf(stdout, "Dame el nmero: ");
  fflush(stdout);
  fscanf(stdin, "%d", &numero);
  if (send(sock, &numero, sizeof(int), 0) < 0) {
    perror("send");
    exit(1);
  }

  /* Fase 3: Liberacin de la conexin */
  if (close(sock) < 0) {
    perror("close");
    exit(1);
  }

  exit(0);
}
