#include "cliente_servidor.h"
int main()
{
  int                sock, nuevo_sock, longitud, numero;
  struct sockaddr_in yo, cliente;

  yo.sin_family = AF_INET;
  yo.sin_port = htons(puerto_en_servidor);
  yo.sin_addr.s_addr = INADDR_ANY;

  sock = socket(AF_INET, SOCK_STREAM, 0);
  if (sock < 0) {
    perror("socket");
    exit(1);
  }

  if (bind(sock, (struct sockaddr *) &yo,
	   sizeof(struct sockaddr_in)) < 0) {
    perror("bind");
    exit(1);
  }

  if (listen(sock, 5) < 0) {
    perror("listen");
    exit(1);
  }

  /* Fase 1: Establecimiento de la conexin */
  longitud = sizeof(struct sockaddr_in);
  nuevo_sock = accept(sock, (struct sockaddr *) &cliente, &longitud);
  if (nuevo_sock < 0) {
    perror("accept");
    exit(1);
  }

  /* Fase 2: Intercambio de datos */
  if (recv(nuevo_sock, &numero, sizeof(int), 0) < 0) {
    perror("recv");
    exit(1);
  }
  fprintf(stdout, "El nmero es: %d\n", numero);

  /* Fase 3: Liberacin de la conexin */
  if (close(nuevo_sock) < 0) {
    perror("close");
    exit(1);
  }

  exit(0);
}
